Subject: New giving webite/portal
From: "Michael B" <[email-masked]>
To: "Scott Thompson" <[email-masked]>
Date: Thu, 19 Jan 2017 14:56:00 -0500

Hello Pastor Scott.
I have a few suggestions on the new app/giving site for consideration. There were a few of us that were counting Sunday that were talking about it and felt some of the logistics and navigation were a bit confusing. In that regards, I wanted to relay my latest experience.
    The first thing is related to the screen you see once you link out of the main webpage to the giving page. I clicked on the Giving tab itself and did not see, (the first time), there was a drop down that shows the Old system/New system options. So I linked straight in to the new system. Previously, we would be taken to a log-in page. Now it takes you to a page that is, in my opinion, a bit impersonal (for lack of a better word). It almost has a generic or just general gifting page look of what you might see if you were just donating to a cause/charity page on any website. I didn't even notice there was a log-in on the page until I started looking at things closer. It might be helpful having the member login more prominently placed in the middle of the screen so someone would log in first. Then the person would know that they were in their account to start donating. As it is now on the main Donation page, it appears the only option I might have is to give an amount as a Tithe. There is no real indication as where to navigate from there. If an email is added without clicking on the "To: Tithe Fund" and you "Continue", it takes you through to a page that has a link to access saved credit/debit cards. Once you click that, it will email you a link to log in. This would be completely unnecessary if you are already logged in. Currently a link that has to be emailed to you in order to log in. It's kind of inconvenient to do this each time. It may actually discourage some from giving online as it will always require that extra step in the process. Regardless, once you do get to the allocation of giving, after logging in, it is not real clear as to how to get to the option or page to do Multiple giving. I did my giving today and actually had to process two separate transactions. Since the option to do multiple isn't available unless you click on the "To: Tithe Fund", I processed it after I clicked on the emailed link. There is no prompt to "review" the transaction before you process it so transaction processes straight through. Then you have to do a separate transaction once it is complete. I feel like you should always be able to review it before you process. That way you can add or change your entries if needed.
    I hope that at least some of this may be helpful. Please understand that in no way am I trying to be critical of the new process. I do feel it will be easier and understandable to navigate the more we utilize the site/app. Please let me know if you need any clarification of what I wrote. I rewrote it multiple times as I kept rereading it. Hopefully it communicates properly. Thank you for all you do to make our church better!
Sincerely,
Michael Bishop